Skip to main content
`Ctrl`+`K`

# PetscDualSpaceLagrangeSetUseMoments

Set the flag for moment functionals

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceLagrangeSetUseMoments(PetscDualSpace sp, PetscBool useMoments)

Logically Collective

## Input Parameters

- sp - The `PetscDualSpace`

- useMoments - The flag for moment functionals

## See Also

`PETSCDUALSPACELAGRANGE`, `PetscDualSpace`, `PetscDualSpaceLagrangeGetUseMoments()`

## Level

advanced

## Location

src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c

## Implementations

PetscDualSpaceLagrangeSetUseMoments_Lagrange() in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
PetscDualSpaceLagrangeSetUseMoments_Sum() in src/dm/dt/dualspace/impls/sum/dualspacesum.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages